# eric7.CodeFormatting.BlackDiffWidget

Module implementing a window to show a unified diff..

### Global Attributes

None

### Classes

BlackDiffWidget | Class implementing a window to show a unified diff..

### Functions

None

## BlackDiffWidget

Class implementing a window to show a unified diff..

### Derived from

QWidget, Ui_BlackDiffWidget

### Class Attributes

None

### Class Methods

None

### Methods

BlackDiffWidget | Constructor
closeEvent | Protected slot implementing a close event handler.
showDiff | Public method to show the given diff.

### Static Methods

None

#### BlackDiffWidget (Constructor)

BlackDiffWidget(parent=None)

Constructor

parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### BlackDiffWidget.closeEvent

closeEvent(evt)

Protected slot implementing a close event handler.

evt (QCloseEvent)
  reference to the close event

#### BlackDiffWidget.showDiff

showDiff(diff)

Public method to show the given diff.

diff (str)
  text containing the unified diff

Up